## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname tqdm
%global srcname %{modname}

# The test dependencies are not currently available on RHEL/EPEL
%bcond tests %[%{undefined rhel}]

Name:           python-%{modname}
Version:        4.67.1
Release:        %autorelease
Summary:        Fast, Extensible Progress Meter

# see PACKAGE-LICENSING for more info
# Automatically converted from old format: MPLv2.0 and MIT - review is highly recommended.
License:        MPL-2.0 AND LicenseRef-Callaway-MIT
URL:            https://github.com/tqdm/tqdm
Source0:        %{pypi_source}

# Patches

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm+toml

%if %{with tests}
# tox.ini contains coverage and unpackaged dependencies (nbval)
# We will use pytest directly
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio >= 0.24
BuildRequires:  python3-pytest-timeout

# optional test deps
BuildRequires:  python3-tkinter
BuildRequires:  python3-dask
BuildRequires:  python3-numpy
BuildRequires:  python3-pandas
BuildRequires:  python3-rich
%endif


%global _description \
tqdm (read taqadum, تقدّم) means "progress" in Arabic.\
\
Instantly make your loops show a smart progress meter - just wrap any iterable\
with "tqdm(iterable)", and you are done!


%description %{_description}


%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}


%description -n python3-%{modname} %{_description}

Python 3 version.


%prep
%autosetup -p1 -n %{modname}-%{version}
chmod -x tqdm/completion.sh


# https://github.com/tqdm/tqdm/pull/1292
echo 'include tqdm/tqdm.1' >> MANIFEST.in
echo 'include tqdm/completion.sh' >> MANIFEST.in


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/tqdm.1 \
  %{buildroot}%{_mandir}/man1/tqdm.1
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/completion.sh \
  %{buildroot}%{_datadir}/bash-completion/completions/tqdm.bash


%check
%if %{with tests}
# The performance tests don't run properly in Koji builders
rm -f tests/tests_perf.py
%pytest
%endif


%files -n python3-%{modname} -f %{pyproject_files}
%license LICENCE
%doc README.rst examples
%{_bindir}/tqdm
%{_mandir}/man1/tqdm.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/tqdm.bash


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.67.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 06 2025 Stephen Gallagher <sgallagh@redhat.com> - 4.67.1-2
- Disable tests on RHEL builds

* Wed Dec 04 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.67.1-1
- Update to 4.67.1

* Thu Nov 07 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.67.0-1
- Update to 4.67.0

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 4.66.5-2
- convert license to SPDX

* Thu Aug 15 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.66.5-1
- Update to 4.66.5

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.66.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.66.4-5
- Fix python 3.13 test failures

* Tue Jun 18 2024 Python Maint <python-maint@redhat.com> - 4.66.4-4
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 4.66.4-3
- Bootstrap for Python 3.13

* Mon May 06 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.66.4-2
- Remove unused package.cfg file

* Mon May 06 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.66.4-1
- Update to 4.66.4

* Wed Feb 14 2024 Stephen Gallagher <sgallagh@redhat.com> - 4.66.2-1
- Update to 4.66.2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.66.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.66.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 14 2023 Stephen Gallagher <sgallagh@redhat.com> - 4.66.1-1
- Upgrade to 4.66.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.65.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 20 2023 Python Maint <python-maint@redhat.com> - 4.65.0-4
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 4.65.0-3
- Bootstrap for Python 3.12

* Mon Mar 06 2023 Stephen Gallagher <sgallagh@redhat.com> - 4.65.0-1
- Update to 4.65.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.64.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 04 2022 Maíra Canal <mairacanal@riseup.net> - 4.64.1-1
- Update to 4.64.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.64.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Python Maint <python-maint@redhat.com> - 4.64.0-3
- Rebuilt for Python 3.11

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 4.64.0-2
- Bootstrap for Python 3.11

* Thu Mar 24 2022 Stephen Gallagher <sgallagh@redhat.com> 4.63.1-1
- Update to 4.63.1

* Mon Mar 07 2022 Stephen Gallagher <sgallagh@redhat.com> 4.63.0-1
- Update to 4.63.0

* Mon Feb 21 2022 Stephen Gallagher <sgallagh@redhat.com> 4.62.3-4
- Add package.cfg

* Tue Jan 18 2022 Miro Hrončok <miro@hroncok.cz> 4.62.3-3
- Run tests in %check

* Tue Sep 21 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.62.3-1
- Update to 4.62.3

* Mon Aug 16 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.62.1-1
- Update to 4.62.1

* Mon Aug 02 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.62.0-1
- Update to 4.62.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.61.1-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 30 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.61.1-1
- Update to 4.61.1

* Wed Jun 30 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.61.0-1
- Update to 4.61.0

* Wed Jun 02 2021 Python Maint <python-maint@redhat.com> - 4.60.0-2
- Rebuilt for Python 3.10

* Tue May 04 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.60.0-1
- Update to 4.60.0

* Tue Mar 09 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.59.0-1
- Update to 4.59.0

* Wed Mar 03 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.58.0-1
- Update to 4.58.0

* Mon Feb 22 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.57.0-1
- Update to 4.57.0

* Thu Feb 11 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.56.2-1
- Update to 4.56.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.56.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.56.0-2
- Don't hardcode python version

* Mon Jan 11 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.56.0-1
- Update to 4.56.0

* Mon Jan 04 2021 Stephen Gallagher <sgallagh@redhat.com> - 4.55.1-1
- Update to 4.55.1

* Fri Oct 09 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.50.2-1
- Update to 4.50.2

* Mon Sep 28 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.50.0-1
- Update to 4.50.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.47.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 29 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.47.0-1
- Update to 4.47.0

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 4.45.0-2
- Rebuilt for Python 3.9

* Fri Apr 03 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.45.0-1
- Update to 4.45.0

* Mon Feb 10 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.42.1-1
- Update to 4.42.1

* Mon Feb 10 2020 Stephen Gallagher <sgallagh@redhat.com> - 4.41.1-1
- Update to 4.41.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.37.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 08 2019 Stephen Gallagher <sgallagh@redhat.com> - 4.37.0-1
- Update to 4.37.0

* Wed Oct 02 2019 Stephen Gallagher <sgallagh@redhat.com> - 4.36.1-1
- Update to 4.36.1

* Wed Sep 04 2019 Stephen Gallagher <sgallagh@redhat.com> - 4.35.0-1
- Update to 4.35.0

* Fri Aug 23 2019 Stephen Gallagher <sgallagh@redhat.com> - 4.34.0-1
- Update to 4.34.0

* Thu Aug 15 2019 Orion Poplawski <orion@nwra.com> - 4.33.0-1
- Update to 4.33.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.28.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.28.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.28.1-2
- Drop python2 subpackage

* Mon Nov 19 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 4.28.1-1
- Update to latest upstream release

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.19.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.19.6-2
- Rebuilt for Python 3.7

* Tue Mar 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.19.6-1
- Update to 4.19.6

* Fri Feb 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.19.5-1
- Update to 4.19.5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.15.0-1
- Update to 4.15.0

* Thu Jun 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.14.0-1
- Update to 4.14.0

* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.11.2-1
- Update to 4.11.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Igor Gnatenko <ignatenko@redhat.com> - 4.11.1-1
- Update to 4.11.1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.10.0-2
- Rebuild for Python 3.6

* Sun Nov 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 4.10.0-1
- Update to 4.10.0

* Mon Oct 31 2016 Igor Gnatenko <ignatenko@redhat.com> - 4.9.0-1
- Update to 4.9.0

* Tue Aug 16 2016 Igor Gnatenko <ignatenko@redhat.com> - 4.8.3-1
- Update to 4.8.3

* Fri Jul 22 2016 Igor Gnatenko <ignatenko@redhat.com> - 4.7.6-1
- Update to 4.7.6

* Thu Jun 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 4.7.4-1
- Initial package


## END: Generated by rpmautospec
